/*
 * @(#)jazzlabel.java	1.00 20th January 2000
 * 
 * Modification Log:
 *
 */

package jazzmsz;

import java.awt.*;

/**
 * A label control with in-build icons.
 * Displays different icons depending on the message type. 
 * 
 * You are free to use this code and to make modifications provided
 * this notice is retained.
 * <p>
 * If you found this useful, please add a note of acknowledgement to my guestbook,
 * or send me a mail at <a href="mailto:tanmaykm@hotmail.com">tanmaykm@hotmail.com</a>. 
 * If you would like to report a bug or suggest some improvements, 
 * you are most welcome. I will be happy to help you use this piece of code.
 * <p>
 *
 * @author 	    Tanmay K. Mohapatra
 * @version     1.00, 20th January, 2000
 */

public class jazzlabel extends Panel
{
    Label               lblMsg;
    jazzicon            icon;
    GridBagLayout       gbLayout;
    GridBagConstraints  gbConstr;
    
    public static final int     NONE = jazzicon.NONE;
    public static final int     INFORMATION = jazzicon.INFORMATION;
    public static final int     CONFIRM = jazzicon.CONFIRM;
    public static final int     HELP = jazzicon.HELP;
    public static final int     WARNING = jazzicon.WARNING;
    public static final int     EXCEPTION = jazzicon.EXCEPTION;
    public static final int     ERROR = jazzicon.ERROR;

    public jazzlabel()
    {
        icon = new jazzicon();
        lblMsg = new Label();
        gbLayout = new GridBagLayout();
        gbConstr = new GridBagConstraints();
        
        setLayout(gbLayout);
        
        gbConstr.gridheight = GridBagConstraints.REMAINDER;
        gbConstr.gridwidth = GridBagConstraints.RELATIVE;
        gbConstr.weightx = 0;
        gbConstr.weighty = 1;
        gbConstr.gridx = 0;
        gbConstr.gridy = 0;
        gbConstr.fill = GridBagConstraints.BOTH;
        gbConstr.anchor = GridBagConstraints.WEST;
        
        gbLayout.setConstraints(icon, gbConstr);
        add(icon);
        
        gbConstr.gridwidth = GridBagConstraints.REMAINDER;
        gbConstr.weightx = 1;
        gbConstr.gridx = GridBagConstraints.RELATIVE;
        gbConstr.gridy = GridBagConstraints.RELATIVE;
        
        gbLayout.setConstraints(lblMsg, gbConstr);
        add(lblMsg);
    }
    
    public void setMessage(String sMessage, int iType)
    {
        lblMsg.setText(sMessage);
        icon.setIconCharacterType(iType);
        Font fnt = getFont();
        if (null == fnt) fnt = new Font("Courier", Font.BOLD, 16);
        icon.setFont(new Font("Courier", Font.BOLD, fnt.getSize()+2));
        doLayout();
        icon.repaint();
    }
}
