/*
 * @(#)jazztest.java	1.00 20th January 2000
 * 
 * Modification Log:
 *
 */

package jazzmsz;

import java.awt.*;
import java.awt.event.*;

/**
 * Test routine for testing and demonstrating jazzmsg classes.
 * 
 * You are free to use this code and to make modifications provided
 * this notice is retained.
 * <p>
 * If you found this useful, please add a note of acknowledgement to my guestbook,
 * or send me a mail at <a href="mailto:tanmaykm@hotmail.com">tanmaykm@hotmail.com</a>. 
 * If you would like to report a bug or suggest some improvements, 
 * you are most welcome. I will be happy to help you use this piece of code.
 * <p>
 *
 * @author 	    Tanmay K. Mohapatra
 * @version     1.00, 20th January, 2000
 */

public class jazztest
{
	public static void main(String[] args)
	{
        boolean bPacked = false;
        Frame f = new Frame();
        jazzlabel jl = new jazzlabel();
        jl.setBackground(Color.decode("0xccffcc"));
        jl.setForeground(Color.decode("0x000000"));
        jl.setFont(Font.decode("Dialog-bold-12"));
        jazzdlg.setDlgGui(Color.decode("0xccffcc"), Color.decode("0x000000"), Font.decode("Dialog-bold-12"));
            
        f.add(jl);
        f.setVisible(true);
        f.pack();
        f.setLocation(100, 100);

        String [] btns = new String[2];
        btns[0] = "Ok";
        btns[1] = "Cancel";
        
        try
        {
            while(true)
            {
                jl.setMessage("Hello! You will get new messages every 2 seconds from now...", jl.NONE);
                if(!bPacked)
                {
                    f.pack();
                    bPacked = true;
                }
                
                jazzdlg.showMsgBox("", 
                                   "Hello! You will get new messages every 2 seconds from now...",
                                   btns,
                                   jazzdlg.NONE,
                                   true,
                                   f);
                Thread.sleep(2000);
                jl.setMessage("This is FYI.", jl.INFORMATION);
                jazzdlg.showMsgBox("Information", 
                                   "This is FYI.",
                                   btns,
                                   jazzdlg.INFORMATION,
                                   true,
                                   f);
                Thread.sleep(2000);
                jl.setMessage("Help wanted?", jl.HELP);
                jazzdlg.showMsgBox("Help", 
                                   "Help wanted?",
                                   btns,
                                   jazzdlg.HELP,
                                   true,
                                   f);
                Thread.sleep(2000);
                jl.setMessage("To be or not to be...", jl.CONFIRM);
                jazzdlg.showMsgBox("Confirm", 
                                   "To be or not to be...",
                                   btns,
                                   jazzdlg.CONFIRM,
                                   true,
                                   f);
                Thread.sleep(2000);
                jl.setMessage("Relax, it's a warning only.", jl.WARNING);
                jazzdlg.showMsgBox("Warning", 
                                   "Relax, it's a warning only.",
                                   btns,
                                   jazzdlg.WARNING,
                                   true,
                                   f);
                Thread.sleep(2000);
                jl.setMessage("It's an exception. What did ya do?", jl.EXCEPTION);
                jazzdlg.showMsgBox("Exception", 
                                   "It's an exception. What did ya do?",
                                   btns,
                                   jazzdlg.EXCEPTION,
                                   true,
                                   f);
                Thread.sleep(2000);
                jl.setMessage("Some error happened.", jl.ERROR);
                jazzdlg.showMsgBox("Error", 
                                   "Some error happened.",
                                   btns,
                                   jazzdlg.ERROR,
                                   true,
                                   f);
                Thread.sleep(2000);
            }
        }
        catch(InterruptedException ie)
        {
            ie.printStackTrace();
        }
	}
}
